package hatelace;

public abstract class Memory {
    public abstract int read(int address);
    public abstract int size();
    public abstract void write(int address, Word data);

    /** Dump as IHEX-like format (see https://en.wikipedia.org/wiki/Intel_HEX) */
    public abstract void dump();
}